## python-packageurl 0.16.0

=== Makefile ===
# Copyright (c) the purl authors
# SPDX-License-Identifier: MIT
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

# Visit https://github.com/package-url/packageurl-python for support and
# download.

# Python version can be specified with `$ PYTHON_EXE=python3.x make conf`
PYTHON_EXE?=python3
ACTIVATE?=. bin/activate;
VIRTUALENV_PYZ=thirdparty/virtualenv.pyz
BLACK_ARGS=--exclude=".cache|lib|bin|var" --line-length 100

virtualenv:
	@echo "-> Bootstrap the virtualenv with PYTHON_EXE=${PYTHON_EXE}"
	@${PYTHON_EXE} ${VIRTUALENV_PYZ} --never-download --no-periodic-update .

conf: virtualenv
	@echo "-> Install dependencies"
	@${ACTIVATE} pip install -e .

dev: virtualenv
	@echo "-> Configure and install development dependencies"
	@${ACTIVATE} pip install -e .[test]

clean:
	@echo "-> Clean the Python env"
	rm -rf bin/ lib*/ include/ build/ dist/ .*cache/ pip-selfcheck.json pyvenv.cfg
	find . -type f -name '*.py[co]' -delete -o -type d -name __pycache__ \
		-delete -type d -name '*.egg-info' -delete

isort:
	@echo "-> Apply isort changes to ensure proper imports ordering"
	@${ACTIVATE} isort --profile black src/ tests/

black:
	@echo "-> Apply black code formatter"
	@${ACTIVATE} black ${BLACK_ARGS} .

mypy:
	@echo "-> Type check the Python code."
	@${ACTIVATE} mypy

valid:
	@${ACTIVATE} pip install -e .[lint]
	@$(MAKE) isort
	@$(MAKE) black
	@$(MAKE) mypy

test:
	@echo "-> Run the test suite"
	${MANAGE} test --noinput
	bin/py.test tests

.PHONY: virtualenv conf dev clean isort black mypy valid test

=== debian/changelog ===
python-packageurl (0.16.0-2) unstable; urgency=medium

  * Team upload.
  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Mar 2025 11:04:42 -0500

python-packageurl (0.16.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1098424)

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sat, 01 Mar 2025 15:26:16 -0500

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=python-packageurl

%:
	dh $@ --buildsystem=pybuild

## python-packageurl 0.17.5

=== Makefile ===
--- 
+++ 
@@ -66,7 +66,6 @@
 
 test:
 	@echo "-> Run the test suite"
-	${MANAGE} test --noinput
 	bin/py.test tests
 
 .PHONY: virtualenv conf dev clean isort black mypy valid test

=== debian/changelog ===
python-packageurl (0.17.5-1) unstable; urgency=medium

  * Add d/gbp.conf
  * New upstream version 0.17.5

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Wed, 10 Sep 2025 19:23:47 -0300

=== debian/control ===
Source: python-packageurl
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Santiago Ruano Rincón <santiagorr@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/package-url/packageurl-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-packageurl
Vcs-Git: https://salsa.debian.org/python-team/packages/python-packageurl.git

Package: python3-packageurl
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Python library to parse and build "purl" aka. Package URLs
 A purl or package URL is an attempt to standardize existing approaches to
 reliably identify and locate software packages.
 .
 A purl is a URL string used to identify and locate a software package in a
 mostly universal and uniform way across programming languages, package
 managers, packaging conventions, tools, APIs and databases.
 .
 Such a package URL is useful to reliably reference the same software package
 using a simple and expressive syntax and conventions based on familiar URLs.
 .
 See https://github.com/package-url/purl-spec for details.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/package-url/packageurl-python/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## python-packageurl 0.17.6

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 PYTHON_EXE?=python3
 ACTIVATE?=. bin/activate;
 VIRTUALENV_PYZ=thirdparty/virtualenv.pyz
-BLACK_ARGS=--exclude=".cache|lib|bin|var" --line-length 100
+BLACK_ARGS=src/ --exclude="\.cache|lib|bin|var" --line-length 100
 
 virtualenv:
 	@echo "-> Bootstrap the virtualenv with PYTHON_EXE=${PYTHON_EXE}"
@@ -52,7 +52,7 @@
 
 black:
 	@echo "-> Apply black code formatter"
-	@${ACTIVATE} black ${BLACK_ARGS} .
+	@${ACTIVATE} black ${BLACK_ARGS}
 
 mypy:
 	@echo "-> Type check the Python code."

=== debian/changelog ===
python-packageurl (0.17.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.17.6
  * Disable the test-build-any job in Salsa CI

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Fri, 12 Dec 2025 17:49:39 -0300
